org.wildfly.swarm.config.management.security_realm

## Class KerberosServerIdentity<T extends KerberosServerIdentity<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.security_realm.KerberosServerIdentity<T>

-     public class KerberosServerIdentity<T extends KerberosServerIdentity<T>>
      extends Object

  Configuration for the Kerberos identity of a server or host controller.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `KerberosServerIdentity.KerberosServerIdentityResources` Child mutators for KerberosServerIdentity

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KerberosServerIdentity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `keytab(Keytab value)` Add the Keytab object to the list of subresources
    `T` | `keytab(KeytabSupplier supplier)` Install a supplied Keytab object to the list of subresources
    `T` | `keytab(String childKey)` Create and configure a Keytab object to the list of subresources
    `T` | `keytab(String childKey, KeytabConsumer consumer)` Create and configure a Keytab object to the list of subresources
    `T` | `keytabs(List<Keytab> value)` Add all Keytab objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `KerberosServerIdentity.KerberosServerIdentityResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KerberosServerIdentity

          public KerberosServerIdentity()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public KerberosServerIdentity.KerberosServerIdentityResources subresources()

    - #### keytabs

          public T keytabs(List<Keytab> value)

      Add all Keytab objects to this subresource
      Parameters:
        `value` - List of Keytab objects.
      Returns:
        this

    - #### keytab

          public T keytab(Keytab value)

      Add the Keytab object to the list of subresources
      Parameters:
        `value` - The Keytab to add
      Returns:
        this

    - #### keytab

          public T keytab(String childKey,
                          KeytabConsumer consumer)

      Create and configure a Keytab object to the list of subresources
      Parameters:
        `key` - The key for the Keytab resource
        `config` - The KeytabConsumer to use
      Returns:
        this

    - #### keytab

          public T keytab(String childKey)

      Create and configure a Keytab object to the list of subresources
      Parameters:
        `key` - The key for the Keytab resource
      Returns:
        this

    - #### keytab

          public T keytab(KeytabSupplier supplier)

      Install a supplied Keytab object to the list of subresources

Copyright © 2017 JBoss by Red Hat. All rights reserved.